.TH "mca_ptl_llc_send_frag_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
mca_ptl_llc_send_frag_t \- LLC send fragment derived type.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <ptl_llc_sendfrag.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBmca_ptl_base_send_frag_t\fP \fBfrag_send\fP"
.br
.RI "\fIbase send fragment descriptor \fP"
.ti -1c
.RI "int32_t \fBfree_after\fP"
.br
.RI "\fIkeep trace of which vectors we have to free \fP"
.ti -1c
.RI "iovec * \fBfrag_vec_ptr\fP"
.br
.RI "\fIpointer into iovec array \fP"
.ti -1c
.RI "size_t \fBfrag_vec_cnt\fP"
.br
.RI "\fInumber of iovec structs left to process \fP"
.ti -1c
.RI "iovec \fBfrag_vec\fP [2]"
.br
.RI "\fIarray of iovecs for send \fP"
.ti -1c
.RI "iovec \fBfrag_saved_vec\fP"
.br
.RI "\fIsave the initial values from the current iovec \fP"
.ti -1c
.RI "volatile int \fBfrag_progressed\fP"
.br
.RI "\fIfor threaded case - has request status been updated \fP"
.in -1c
.SH "Detailed Description"
.PP 
LLC send fragment derived type. 
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
